import { h } from './index-ecdfb761.js';
import { r as registerField } from './FieldGenerator-3ae403b2.js';
import './attachment-961dd228.js';

// component generator
const render = (field, value, errors, disabled, onFieldChange, onFieldBlur) => h("dvn-field-input-attachment", { disabled: disabled, field: field, errors: errors, onChange: (e) => {
    e.stopImmediatePropagation();
    onFieldChange(field, e.detail);
  }, onBlur: () => onFieldBlur(field), value: value });
// register 'date' field for json form generations
registerField('attachment', render);
